Bug 448376 - External monitor: graphical issues in Wayland after update to 5.23.90
Summary: External monitor: graphical issues in Wayland after update to 5.23.90
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: platform-wayland-nested (show other bugs)
Version: 5.23.90
Platform: Archlinux Packages Linux
: VHI major with 1 vote (vote)
Target Milestone: ---
Assignee: Martin Flöser
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2022-01-13 17:44 UTC by Linus Dierheimer
Modified: 2022-01-15 04:19 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
Picture of the monitor (680.09 KB, image/jpeg)
2022-01-13 17:44 UTC, Linus Dierheimer
Details
drm_info in 5.23.5, monitor looks normal (145.60 KB, text/plain)
2022-01-14 00:12 UTC, Linus Dierheimer
Details
drm_info in 5.23.90 monitor looks weird (146.29 KB, text/plain)
2022-01-14 00:12 UTC, Linus Dierheimer
Details
drm_info in 5.23.90 , with env var, monitor looks normal again (146.28 KB, text/plain)
2022-01-14 00:13 UTC, Linus Dierheimer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Linus Dierheimer 2022-01-13 17:44:05 UTC
Created attachment 145419 [details]
Picture of the monitor

SUMMARY

After updating to the 5.24 Beta (5.23.90), my external monitor (HDMI) has major graphical issues. The colors look inverted and the lines are not sharp anymore. See the  attached picture. In a screenshot it looks normal. Happens only in the wayland session, X11 works perfectly fine. I tried all the color correction profiles that are now in the system settings, i were able to see a difference, but none of them fixed the problem.

STEPS TO REPRODUCE
1. Update your Arch system with the kde-unstable repositories to the latest version (Frameworks 5.90, Plasma 5.23.90)
2. Connect an external Monitor via HDMI
3. Look at it

OBSERVED RESULT

Monitor has graphical glitches

EXPECTED RESULT

Monitor looks fine

SOFTWARE/OS VERSIONS
Windows: /
macOS:  /
Linux/KDE Plasma: 5.16.0 / 5.23.90
(available in About System)
KDE Plasma Version: 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Linus Dierheimer 2022-01-13 18:00:01 UTC
Tested it with Display Port, same problem. So not a HDMI fault but wayland in general.
Comment 2 Nate Graham 2022-01-13 21:43:20 UTC
Are you by any chance using an Intel Tiger lake series CPU and iGPU?
Comment 3 Linus Dierheimer 2022-01-13 21:47:32 UTC
No, Ryzen 7 4800H with an Radeon RX5600M graphics card (Dell G5 SE Laptop).
Comment 4 Nate Graham 2022-01-13 23:45:29 UTC
OK, thanks.
Comment 5 Zamundaaa 2022-01-14 00:00:26 UTC
You can try disabling deep color with the environment variable KWIN_DRM_PREFER_COLOR_DEPTH=24, maybe amdgpu has some issue with it.
Please also attach the output of drm_info (with default color depth)
Comment 6 Linus Dierheimer 2022-01-14 00:12:07 UTC
Created attachment 145434 [details]
drm_info in 5.23.5, monitor looks normal
Comment 7 Linus Dierheimer 2022-01-14 00:12:50 UTC
Created attachment 145435 [details]
drm_info in 5.23.90 monitor looks weird
Comment 8 Linus Dierheimer 2022-01-14 00:13:17 UTC
Created attachment 145436 [details]
drm_info in 5.23.90 , with env var, monitor looks normal again
Comment 9 Linus Dierheimer 2022-01-14 00:14:36 UTC
KWIN_DRM_PREFER_COLOR_DEPTH=24 did indeed fix the bug. Thank you very much! I added the requested drm_info outputs, if you need more info, feel free to ask.
Comment 10 Bug Janitor Service 2022-01-14 08:36:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1877
Comment 11 Zamundaaa 2022-01-14 16:00:29 UTC
Git commit 0a3922e29dc937a0a14beed73266a4a9298a647a by Xaver Hugl.
Committed on 14/01/2022 at 15:44.
Pushed by zamundaaa into branch 'master'.

backends/drm: use the correct format for CPU copy

M  +1    -1    src/backends/drm/egl_gbm_backend.cpp

https://invent.kde.org/plasma/kwin/commit/0a3922e29dc937a0a14beed73266a4a9298a647a
Comment 12 Zamundaaa 2022-01-14 16:02:29 UTC
Git commit c037e65d6894dcebf93b0cae6005010ac63541a8 by Xaver Hugl.
Committed on 14/01/2022 at 16:02.
Pushed by zamundaaa into branch 'Plasma/5.24'.

backends/drm: use the correct format for CPU copy


(cherry picked from commit 0a3922e29dc937a0a14beed73266a4a9298a647a)

M  +1    -1    src/backends/drm/egl_gbm_backend.cpp

https://invent.kde.org/plasma/kwin/commit/c037e65d6894dcebf93b0cae6005010ac63541a8